## kilo 0.0.1

=== debian/changelog ===
kilo (0.0.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1072974)

 -- Alex Myczko <tar@debian.org>  Wed, 11 Jan 2017 10:03:50 +0100

## kilo 0.0.1%2Bgit20240726%2Bds

=== Makefile ===
all: kilo

kilo: kilo.c
	$(CC) -o kilo kilo.c -Wall -W -pedantic -std=c99

clean:
	rm kilo

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_CFLAGS_MAINT_APPEND = -D_GNU_SOURCE

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

## kilo 0.0.1+git20240726+ds

=== debian/changelog ===
kilo (0.0.1+git20240726+ds-1) unstable; urgency=medium

  * New upstream version. (Closes: #1075111)

 -- Alex Myczko <tar@debian.org>  Fri, 26 Jul 2024 09:35:10 +0000

=== debian/control ===
Source: kilo
Section: editors
Priority: optional
Maintainer: Alex Myczko <tar@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.0
Homepage: https://github.com/antirez/kilo

Package: kilo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Small text editor
 This is a text editor in less than 1000 LOC with syntax highlighting
 and search.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

=== debian/watch ===
version=4

# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
https://github.com/antirez/kilo/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
